For the complete documentation index, see llms.txt. This page is also available as Markdown.

Global

Endpoints that are about the whole catalyst or about shared services

Catalyst Server Configs and health

get
/about

Retrieve detailed information about the services health and its configuration

Responses
200

Catalyst services health information

application/json; charset=utf-8
healthybooleanRequired
acceptingUsersbooleanRequired
get/about
GET /about HTTP/1.1
Host: peer.decentraland.zone
Accept: */*
{
  "healthy": true,
  "configurations": {
    "realmName": "zeus",
    "map": {
      "minimapEnabled": true,
      "sizes": [
        {
          "left": -150,
          "top": 150,
          "right": 150,
          "bottom": -150
        },
        {
          "left": 62,
          "top": 158,
          "right": 162,
          "bottom": 151
        },
        {
          "left": 151,
          "top": 150,
          "right": 163,
          "bottom": 59
        }
      ],
      "satelliteView": {
        "version": "v1",
        "baseUrl": "https://genesis.city/map/latest",
        "suffixUrl": ".jpg",
        "topLeftOffset": {
          "x": -2,
          "y": -6
        }
      },
      "parcelView": {
        "version": "v1",
        "imageUrl": "https://api.decentraland.org/v1/minimap.png"
      }
    }
  },
  "content": {
    "healthy": true,
    "commitHash": "58bc402b1b8f0a407a9d66a5ea58b33dd141af5f",
    "version": "4.8.0"
  },
  "comms": {
    "healthy": true,
    "protocol": "v3",
    "commitHash": "70bc402b1b8f0a407a9d66a5ea58b33dd141af5f"
  },
  "lambdas": {
    "healthy": true,
    "commitHash": "18bc402b1b8f0a407a9d66a5ea58b33dd141af5f",
    "version": "4.8.0"
  },
  "bff": {
    "usersCount": 51,
    "healthy": true,
    "commitHash": "80bc402b1b8f0a407a9d66a5ea58b33dd141af5f"
  }
}

The stats from all parcels

get
/stats/parcels

Retrieves the amount of users on each parcel

Responses
200

Parcels with peers connected to

application/json; charset=utf-8
get/stats/parcels
GET /stats/parcels HTTP/1.1
Host: peer.decentraland.zone
Accept: */*
200

Parcels with peers connected to

{
  "parcels": [
    {
      "peersCount": 100,
      "parcel": {
        "x": -100,
        "y": 127
      }
    },
    {
      "peersCount": 43,
      "parcel": {
        "x": 12,
        "y": 1
      }
    }
  ]
}

Last updated